7010732: SA_ALTROOT only works if running the SA tools from their build directory.
Summary: fixed SA packaging scripts
Reviewed-by: sla, kevinw
--- a/hotspot/agent/make/mkinstall Fri Jan 24 08:31:06 2014 -0500
+++ b/hotspot/agent/make/mkinstall Tue Jan 28 14:45:39 2014 +0400
@@ -27,7 +27,9 @@
cp ../src/os/solaris/proc/amd64/libsaproc.so $SA_NAME/solaris/amd64
cp ../src/os/solaris/proc/sparc/libsaproc.so $SA_NAME/solaris/sparc
+cp ../src/os/solaris/proc/sparc/libsaproc_audit.so $SA_NAME/solaris/sparc
cp ../src/os/solaris/proc/sparcv9/libsaproc.so $SA_NAME/solaris/sparcv9
+cp ../src/os/solaris/proc/sparcv9/libsaproc_audit.so $SA_NAME/solaris/sparcv9
cp ../src/os/solaris/proc/i386/libsaproc.so $SA_NAME/solaris/i386
cp ../src/os/linux/i386/libsaproc.so $SA_NAME/linux/i386
cp ../src/os/linux/ia64/libsaproc.so $SA_NAME/linux/ia64
--- a/hotspot/agent/make/saenv.sh Fri Jan 24 08:31:06 2014 -0500
+++ b/hotspot/agent/make/saenv.sh Tue Jan 28 14:45:39 2014 +0400
@@ -48,16 +48,17 @@
CPU=i386
fi
else
- # configure audit helper library if SA_ALTROOT is set
- if [ -n "$SA_ALTROOT" ]; then
- LD_AUDIT_32=$STARTDIR/../src/os/solaris/proc/`uname -p`/libsaproc_audit.so
- export LD_AUDIT_32
- if [ ! -f $LD_AUDIT_32 ]; then
- echo "SA_ALTROOT is set and can't find libsaproc_audit.so."
- echo "Make sure to build it with 'make natives'."
- exit 1
- fi
+ # configure audit helper library for solaris
+ LD_AUDIT_32=$STARTDIR/../src/os/solaris/proc/`uname -p`/libsaproc_audit.so
+ if [ ! -f $LD_AUDIT_32 ]; then
+ LD_AUDIT_32=$STARTDIR/solaris/`uname -p`/libsaproc_audit.so
+ fi
+ if [ ! -f $LD_AUDIT_32 ]; then
+ echo "Can't find libsaproc_audit.so."
+ echo "Make sure to build it with 'make natives'."
+ exit 1
fi
+ export LD_AUDIT_32
SA_LIBPATH=$STARTDIR/../src/os/solaris/proc/`uname -p`:$STARTDIR/solaris/`uname -p`
OPTIONS="-Dsa.library.path=$SA_LIBPATH -Dsun.jvm.hotspot.debugger.useProcDebugger"
CPU=sparc
--- a/hotspot/agent/make/saenv64.sh Fri Jan 24 08:31:06 2014 -0500
+++ b/hotspot/agent/make/saenv64.sh Tue Jan 28 14:45:39 2014 +0400
@@ -43,16 +43,19 @@
fi
fi
-# configure audit helper library if SA_ALTROOT is set
-if [ -n "$SA_ALTROOT" ]; then
- LD_AUDIT_64=$STARTDIR/../src/os/solaris/proc/$CPU/libsaproc_audit.so
- export LD_AUDIT_64
- if [ ! -f $LD_AUDIT_64 ]; then
- echo "SA_ALTROOT is set and can't find libsaproc_audit.so."
- echo "Make sure to build it with 'make natives'."
- exit 1
- fi
+# configure audit helper library
+LD_AUDIT_64=$STARTDIR/../src/os/solaris/proc/$CPU/libsaproc_audit.so
+if [ ! -f $LD_AUDIT_64 ]; then
+ LD_AUDIT_64=$STARTDIR/solaris/$CPU/libsaproc_audit.so
fi
+
+if [ ! -f $LD_AUDIT_64 ]; then
+ echo "Can't find libsaproc_audit.so."
+ echo "Make sure to build it with 'make natives'."
+ exit 1
+fi
+
+export LD_AUDIT_64
SA_LIBPATH=$STARTDIR/../src/os/solaris/proc/$CPU:$STARTDIR/solaris/$CPU
OPTIONS="-Dsa.library.path=$SA_LIBPATH -Dsun.jvm.hotspot.debugger.useProcDebugger"